Support » Plugin: Google Tag Manager for WordPress » JS error when logged out, breaks other jquery functionalities

  • Getting JS error:

    (index):1191 Uncaught ReferenceError: ga is not defined
        at HTMLDocument.<anonymous> ((index):1191)
        at i (jquery.js?ver=1.12.4:2)
        at Object.fireWith [as resolveWith] (jquery.js?ver=1.12.4:2)
        at Function.ready (jquery.js?ver=1.12.4:2)
        at HTMLDocument.K (jquery.js?ver=1.12.4:2)

    Line
    ga("require", "ec", "ec.js");

    Shop is running WooCommerce and it’s integration. Doesn’t happen when I am logged on as administrator. When I am logged out, I get this on almost all pages and it breaks other jquery plugins.

Viewing 3 replies - 1 through 3 (of 3 total)
  • Thread Starter Andrius Vlasovas

    (@vlaskiz)

    By the way I am running v1.7 beta 2 version as shop is on WooCommerce 3.0.7. Newest WordPress version.

    Plugin Author Thomas Geiger

    (@duracelltomi)

    Hi,

    Thanks for posting your question!
    I would like to help but to do so, I would need to know the URL of your website.

    If you do not want to post it publicly here, please contact me at duracelltomi.com

    Thanks,
    Thomas Geiger

    Thread Starter Andrius Vlasovas

    (@vlaskiz)

    Was conflict from another plugin, solved it.

    Thanks

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘JS error when logged out, breaks other jquery functionalities’ is closed to new replies.